(*
   Icon Viewer
   Version 6.00
   (C) 1996, Glen Why

   Save Setup Dialog

*)
unit ICOVIEW2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type

  TImageType = ( itIcon, itSmallIcon, itBitmap, itSmallBitmap );
  TNamingMode = ( nmPrompt, nmAuto );

  TSaveData = record
    ImageType : TImageType;
    NamingMode : TNamingMode;
  end;

  TSaveIconsDialog = class(TForm)
    rgSaveMode: TRadioGroup;
    rgNameMode: TRadioGroup;
    Button1: TButton;
    Button2: TButton;
  private
    procedure SetData( D :TSaveData );
    function GetData :TSaveData;
  public
    property Data :TSaveData
      read GetData write SetData;
  end;

function GetSaveData( Parent :TForm; Var D :TSaveData ):Boolean;


implementation

{$R *.DFM}

function GetSaveData( Parent :TForm; Var D :TSaveData ):Boolean;
begin
  result := false;
  with TSaveIconsDialog.Create( Parent ) do
   try
     Data := D;
     if ShowModal = mrOk then
       begin
         D := Data;
         result := true;
       end;
   finally
     release;
   end;
end;



{ TSaveIconsDialog }

procedure TSaveIconsDialog.SetData( D :TSaveData );
begin
 with D do begin
  rgSaveMode.ItemIndex := Integer( ImageType );
  rgNameMode.ItemIndex := Integer( NamingMode );
 end;
end;

function TSaveIconsDialog.GetData :TSaveData;
begin
 with result do begin
   ImageType := TImageType( rgSaveMode.ItemIndex );
   NamingMode := TNamingMode( rgNameMode.ItemIndex );
 end;
end;

end.
